Groups
Get group
Get a group by ID. Requires a partner API token.
GET
/
groups
/
{id}
Get group
curl --request GET \
--url https://cookiechimp.com/api/v1/groups/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://cookiechimp.com/api/v1/groups/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://cookiechimp.com/api/v1/groups/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "abc123",
"partner": "partner_one",
"name": "Example Ltd",
"external_id": "ABC_123",
"max_pageviews_per_month": 500000,
"max_unique_visitors_per_month": 100000
}{
"errors": [
{
"code": 401,
"message": "API key must belong to a partner"
}
]
}{
"errors": [
{
"code": 404,
"message": "Record not found"
}
]
}{
"errors": [
{
"code": 429,
"message": "Too many requests. Please retry later."
}
]
}Authorizations
API token obtained from the login endpoint or the dashboard
Path Parameters
ID of the resource
Response
Group
Unique identifier for the group
Name of the partner the group belongs to
Name of the group
External ID set by the partner
Maximum number of pageviews per month
Maximum number of unique visitors per month
Was this page helpful?
⌘I
Get group
